WS2300 ScreenSaver by Mike Robinson

Software by Mike Robinson
WS2300 ScreenSaver
See your Home Weather Station Data in Real Time

Download Download Home Home Purchase Purchase

To use this program you must have LaCrosse 2300 series Weather Station HARDWARE connected to your computer serial port.

WS2300 ScreenSaver reads weather data from your LaCrosse 2300 series Weather Station and displays this data as a screensaver. It shows indoor and outdoor temperature and humidity, barometric pressure, wind speed and direction, and amount of rain. It also shows the time, date, and day of the week on the top line. Each of the data values can be turned on and off. For example, if you don't want to see rainfall then you can turn it off. All of the colors (both text and background) can be customized. It covers the entire screen including the task bar on the bottom. It has no frame so there are no borders. To exit the program just press any key, click the mouse, or move the mouse. It installs both as a normal program and a real screensaver with password ability and preview in the small Windows screensaver setup screen.

This is a 32 bit program and will run on Windows ME, NT, 2000, XP, and Vista.

See the bottom of this page if you would like to purchase WS2300 Saver for just $30.00 (Thirty US Dollars). If you purchase the program I will send you a serial number by email that will remove the nag screen. The program works fine even if you do not pay for it. There is no time limit. It will run forever. It is fully functional. No features have been removed. It contains no spyware, no advertising.

Sample Displays

Setup

When the program is running, press the C key and this setup screen pops up:

Press the "OK" button and the changes will be saved. Press the "Cancel" button and the changes will not be saved. The help button displays this help file.

The program will automatically read your current unit settings as configured in your WS2300 hardware. For example, if your WS2300 shows the temperature in Centigrade then this program will show temperature in Centigrade. You can also manually change any of these values:

Temperature Units - Fahrenheit or Centigrade

Barometric Pressure Units - Inches of Mercury or Hecto-Pascals (millibar)

Wind Speed Units - Miles per Hour, Kilometers per Hour, Knots, Meters per Second, or Beaufort Scale.

Barometric Pressure Type - Relative or Absolute Barometric Pressure

Rain Depth Units - Inches or Millimeters. If there was rain in the last hour then one hour rain and 24 hour rain is shown. If there was not any rain in the last hour then 24 hour rain and total rain is shown.

Com Port Number - COM1, COM2, COM3, COM4. If you select AUTO the program will automatically try to find the correct port. The default setting is Auto. Once the port has been automatically detected the port shown will change to the correct port. Only one program at a time can use the port. So turn off any other programs that are using the WS2300.

Time Format - 12 Hour or 24 Hour Format

How often to read data - 25 means latest data will be retrieved from the WS2300 every 25 seconds.

Double Error Check - Sometimes a data value read from the WS2300 will be incorrect. If you notice this problem then check this box. Each data item will then be double-checked. This will cause a small slowdown in data retrieval speed.

On this tab you can select which data items to display and the color of each data item. If you reduce the number of data items the display will update faster.

Uncheck the box next to each data item and it will not be displayed.

Click on the data item on the left to select it. Then use the drop-down combo-boxes on the right to select the foreground and background color for that data item. Click the "Select All" button to select and change all of the items. There are over 180 possible colors to choose from.

Uncheck the "Show Borders" box and the border around some of the items will not be shown.

Keyboard Commands

When the program is running you can press any one of these keys.

F1 = Shows this help file.

H = Shows this help file.

A = Shows program About information screen. If you press the "Send Mail" button on this screen it will automatically create a message addressed to me (elegantpie@hotmail.com) that contains diagnostic information. Use this to ask questions, report bugs, make comments, or provide feedback.

C = Configure program

Install

Run the program "ws2300saver.exe" to install the program. This will create a folder, copy all the files to the folder, and create shortcuts on the desktop and the start menu. The setup program places the WS2300 Saver program "ws2300saver.scr" in the Windows system folder so it will be recognized as a screensaver and appear in the Windows list of available screensavers. In Windows XP and Vista the system folder is named system32.

An alternate install method is to download the executable file "ws2300saver.scr" and put it in the Windows system folder. If you use this method, then to uninstall simply delete the files.

To setup WS2300 Saver as your screensaver right click on the Windows desktop and select the "Properties" menu item. In Windows Vista select the "Personalize" menu. Then click on "Screen Saver" and this screen is shown:

Then use the "Screen Saver" drop-down box and pick "WS2300Saver" from the list of screen savers. Then click OK. The "Settings" button brings up the setup screen above. The "Preview" button runs the screensaver in full screen mode.

UnInstall

Open Windows Control Panel, select Add Remove Programs, select WS2300 Saver in the list of programs, and click OK. The uninstall program will then run and remove the program. If you installed the program manually then delete the files to uninstall the program.

Running as a Program

Click the desktop WS2300 Saver icon and the program will run. If you use WS2300 Saver in this normal program mode, that is not as a screensaver, your normal screensaver will kick in and appear over (and hide) WS2300 Saver.

Legal Stuff

This program is Copyright © 2009 Michael Robinson. All Rights Reserved. Use this program at your own risk. If you purchase this program and are not satisfied with it for any reason I will refund your money. You may give this file away free, but you may not sell it. It must be distributed as a package along with all files. Modification of the executable file is prohibited.

Revision History

1.0.0 Mar 20, 2009 Initial public release.
1.0.2 Mar 13, 2010 Restore taskbar when powersave turns monitor off

Purchase

If you purchase the program I will send you a serial number by email that will remove the nag screen that appears after the program closes. Pay once and all future upgrades are free. The program works fine even if you do not pay for it. There is no time limit. It will run forever. It is fully functional. No features have been removed. It contains no spyware, no advertising.

If you purchase this program and are not satisfied with it for any reason I will refund your money.

The purchase price is $30.00 (Thirty US Dollars). I accept major credit cards, PayPal , or personal checks. You can use PayPal to pay by credit card even if you do not have a PayPal account. The total cost to you is $30.00. No fees. Use your Visa, Mastercard, American Express, or Discover card. PayPal also allows you to pay directly from your bank account using eCheck.

Pay with credit card or PayPal Use your Credit Card.

Pay with credit card or PayPal Or send payment by PayPal to: ElegantPie@HotMail.com

Or send personal check or money order payable to Michael Robinson

Michael Robinson
PO Box 95
Shelton, CT 06484

Please add $10.00 if you would like a CD sent by US Mail to an address in the USA.
Please add $20.00 if you would like a CD sent by US Mail to an address outside the USA.

Official PayPal Seal I am PayPal Verified. My Account Creation Date is May 30, 2000.

The Official PayPal Verified Seal above means that I have provided PayPal with proof that I have a bank account and that my address is valid. Banks are required by law to screen account holders so PayPal's verification process increases security when you pay parties you do not know. My bank has my address and Social Security number on file. You can check that I am verified by clicking the PayPal Verified Seal above or by clicking on this link:

https://www.paypal.com/us/verified/pal=elegantpie%40hotmail.com

I use PayPal because the fees are low. If you send me $30.00 PayPal only takes about $1.47 so I net $28.53. All other payment services take several dollars so I would have to charge around $35 for my program to gain the same net. This lowers the cost to you. PayPal is usually free for most transactions, such as Ebay auction payments, but as a business I am required to have a Premier Account with fees. If you do not have a PayPal account, you can still use PayPal to make a payment using your credit card or a direct withdrawal from a bank account. PayPal is a very secure and reliable payment system used by millions of people around the world. All of your personal information is encrypted.

DOWNLOAD PURCHASE HOME EMAIL

elegantpie@hotmail.com

http://www.elegantpie.com